# -*- coding: utf-8 -*-
#
# Author: Ingelrest François (Athropos@gmail.com)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

import gtk
import consts
import os.path

# Show an about dialog box
def show(parent) :
    dlg = gtk.AboutDialog()
    dlg.set_transient_for(parent)

    # Name, Version, URL
    dlg.set_name(consts.appName)
    dlg.set_version(consts.appVersion)
    dlg.set_website(consts.appURL)

    # Authors
    dlg.set_authors([
        'Developer:',
        'Ingelrest François <Athropos@gmail.com>',
        '',
        'Thanks to:',
        'Piotr Ozarowski'
    ])

    # Licence is read from the disk
    if os.path.exists(consts.fileLicense) :
        license = open(consts.fileLicense).read()
        dlg.set_license(license)
        dlg.set_wrap_license(True)

    # Show the dialog
    dlg.run()
    dlg.destroy()
